=== modified file 'lib/lp/bugs/templates/bugtask-macros-tableview.pt'
--- lib/lp/bugs/templates/bugtask-macros-tableview.pt	2011-12-22 13:15:25 +0000
+++ lib/lp/bugs/templates/bugtask-macros-tableview.pt	2011-12-23 03:10:11 +0000
@@ -694,9 +694,16 @@
             var model = navigator.get('model');
             model.get('history').after(
                 'change', function(e) {
-                     Y.lp.buglisting_utils.update_sort_button_visibility(
-                         orderby, e.newVal);
-                });
+                    // Only update the sort buttons if we've got a valid batch
+                    // key.
+                    if (Y.Object.hasKey(e.newVal, 'batch_key')) {
+                        Y.lp.buglisting_utils.update_sort_button_visibility(
+                            orderby,
+                            e.newVal
+                        );
+                    }
+                 }
+            );
             var config_node = orderby.get('config_node');
             var list_util = new Y.lp.buglisting_utils.BugListingConfigUtil({
                 srcNode: config_node,

